[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="\u5730\u5740\u5b8c\u6210\u57df:";
	.localdomain.help="\u4e13\u7531\u8be5\u670d\u52a1\u5668\u5904\u7406\u7684\u57df\u7684\u5217\u8868";
	.localdomain.header="\u672c\u5730\u57df";
	.hostoncmd.text="\u67e5\u627e\u5ba2\u6237\u673a\u540d";
	.plaintext.text="\u5141\u8bb8\u53e3\u4ee4\u767b\u5f55";
	.mincipher.text="\u53e3\u4ee4\u52a0\u5bc6\u7684\u6700\u5c0f\u5bc6\u7801\u957f\u5ea6";
	.unix.border=[titled,"UNIX \u4f20\u9012"];
	.unix.help="For users who have the \"UNIX delivery\" option turned on, the program specified below will be used to store messages in the user's local mail file.";
	.program.border=[titled,"\u7a0b\u5e8f\u4f20\u9012"];
	.program.help="For security reasons, programs should never run as \"root.\" To enable program delivery for the root account, you must specify a safe ID for root.";
	.unixdeliver.text="\u672c\u5730\u90ae\u4ef6\u4f20\u9012\u7a0b\u5e8f:";
	.defuid.text="\u8fd0\u884c\u7a0b\u5e8f\u7684\u5b89\u5168\u7528\u6237 ID:";
	.defgid.text="\u8fd0\u884c\u7a0b\u5e8f\u7684\u5b89\u5168\u7ec4 ID:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.unix.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.unix.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.unixdeliver.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    val=$service.smtp.unix-deliver.maildeliveryprogram.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.program.border;
	    constraint={
		gridx=0;
		gridy=5;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.program.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defuidlabel;
		    text=$.defuid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defuidlabel;
		    val=$service.smtp.prog-deliver.defaultuid.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defgidlabel;
		    text=$.defgid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defgidlabel;
		    val=$service.smtp.prog-deliver.defaultgid.value;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="\u4e13\u95e8\u7531\u6b64\u670d\u52a1\u5668\u5904\u7406\u7684\u57df:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	    validate=com.netscape.management.msgserv.util.ValidDomain;
	}
    ]
}
]
